import { outdent as json } from "outdent";

export const tsconfigJsonTemplate = json`
{
  "files": [],
  "references": [
    {
      "path": "./tsconfig.ui.json"
    },
    {
      "path": "./tsconfig.backend.json"
    }
  ]
}
`;

export const tsconfigUiJsonTemplate = json`
{
  "extends": [
    "@tsconfig/recommended/tsconfig.json",
    "@tsconfig/vite-react/tsconfig.json",
  ],
  "compilerOptions": {
    "noEmit": true,
    "declaration": true,
    "declarationMap": true,
    "sourceMap": true,
    "verbatimModuleSyntax": true,
    "jsx": "react-jsx"
  },
  "include": [
    "src/ui/",
    "src/types/",
  ]
}
`;

export const tsconfigBackendJsonTemplate = json`
{
  "extends": [
    "@tsconfig/recommended/tsconfig.json",
    "@tsconfig/node18/tsconfig.json"
  ],
  "compilerOptions": {
    "noEmit": true,
    "declaration": true,
    "declarationMap": true,
    "sourceMap": true,
    "verbatimModuleSyntax": true
  },
  "exclude": [
    "dist/",
    "src/ui/"
  ]
}
`;
